## jpegenc jpegenc — Encode images in JPEG format |

## Synopsis

    struct              GstJpegEnc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstVideoEncoder
                               +----GstJpegEnc

## Implemented Interfaces

GstJpegEnc implements GstPreset.

## Properties

      "quality"                  gint                  : Read / Write
      "idct-method"              GstIDCTMethod         : Read / Write

## Signals

      "frame-encoded"                                  : Run Last

## Description

## Synopsis

### Element Information

plugin | jpeg
author | Wim Taymans <wim.taymans@tvd.be>
class | Codec/Encoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12, YUY2, UYVY, Y41B, Y42B, YVYU, Y444, RGB, BGR, RGBx, xRGB, BGRx, xBGR, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/jpeg, width=(int)[ 16, 65535 ], height=(int)[ 16, 65535 ], framerate=(fraction)[ 0/1, 2147483647/1 ], sof-marker=(int){ 0, 1, 2, 9 }

## Details

### struct GstJpegEnc

    struct GstJpegEnc;

## Property Details

### The `"quality"` property

      "quality"                  gint                  : Read / Write

Quality of encoding.

Allowed values: [0,100]

Default value: 85

### The `"idct-method"` property

      "idct-method"              GstIDCTMethod         : Read / Write

The IDCT algorithm to use.

Default value: Faster, less accurate integer method

## Signal Details

### The `"frame-encoded"` signal

    void                user_function                      (GstJpegEnc *gstjpegenc,
                                                            gpointer    user_data)       : Run Last

`gstjpegenc` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.